﻿using Microsoft.Extensions.DependencyInjection;
using NetworkResurrector.Agent.Application.Services;
using NetworkResurrector.Agent.Application.Services.Abstractions;

namespace NetworkResurrector.Agent.Application
{
    public static class DependencyInjectionExtensions
    {
        public static void AddApplicationServices(this IServiceCollection services)
        {
            services.AddSingleton<IParamProvider, ParamProvider>();
            services.AddSingleton<IValidationService, ValidationService>();
            services.AddSingleton<IShutdownService, ShutdownService>();
        }
    }
}
